com.thinkaurelius.titan.graphdb.fulgora

## Class FulgoraResult<S>

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.fulgora.FulgoraResult<S>

- All Implemented Interfaces:
    OLAPResult<S>

      public class FulgoraResult<S>
      extends Object
      implements OLAPResult<S>

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FulgoraResult(int numVertices, IDManager idManager)`
    `FulgoraResult(Map<Long,S> initialState, IDManager idManager)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterable<Map.Entry<Long,S>>` | `entries()` Returns an `Iterable` over all final (vertex-id,vertex-state) pairs resulting from a job's execution.
    `S` | `get(long vertexId)` Returns the final vertex state for a given vertex identified by its id.
    `long` | `size()` Returns the number of vertices in the result
    `Iterable<S>` | `values()` Returns an `Iterable` over all final vertex states.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FulgoraResult

          public FulgoraResult(int numVertices,
                       IDManager idManager)

    - #### FulgoraResult

          public FulgoraResult(Map<Long,S> initialState,
                       IDManager idManager)

  - ### Method Detail

    - #### values

          public Iterable<S> values()

      Description copied from interface: `OLAPResult`
      Returns an `Iterable` over all final vertex states.
      Specified by:
        `values` in interface `OLAPResult<S>`
      Returns:

    - #### entries

          public Iterable<Map.Entry<Long,S>> entries()

      Description copied from interface: `OLAPResult`
      Returns an `Iterable` over all final (vertex-id,vertex-state) pairs resulting from a job's execution.
      Specified by:
        `entries` in interface `OLAPResult<S>`
      Returns:

    - #### size

          public long size()

      Description copied from interface: `OLAPResult`
      Returns the number of vertices in the result
      Specified by:
        `size` in interface `OLAPResult<S>`
      Returns:

    - #### get

          public S get(long vertexId)

      Description copied from interface: `OLAPResult`
      Returns the final vertex state for a given vertex identified by its id.
      Specified by:
        `get` in interface `OLAPResult<S>`
      Returns:

Copyright © 2012–2014. All rights reserved.